/*********************************************************************
*
*	Sample challange: 
* 		Modify the code to display a number of how
*		many times has the GO! button been pressed.
*
**********************************************************************/
package com.infinitenotions.sample.button;

import android.app.*;
import android.os.*;
import android.view.*;
import android.widget.*;

public class BSSampleActivity extends Activity
{
	private Button mGOBtn;
	private TextView mTextTv;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        /**
         * Get the control instances from the main.xml layout
         */
        mGOBtn = (Button)findViewById(R.id.goBtn);
        mTextTv = (TextView)findViewById(R.id.textTV);
        
        /**
         * Assign a click listener to our GO button
         */
        mGOBtn.setOnClickListener(new View.OnClickListener()
        {
			
			@Override
			public void onClick(View arg0) 
			{
				/**
				 * Change the text of the textview
				 */
				mTextTv.setText("Go button pressed!");
			}
		});
    }
}
