/*********************************************************************
*
*	Sample challange: 
*		Change the GO! button text to whatever was entered
*		into the EditText.		
**********************************************************************/
package com.infinitenotions.sample.edittext;

import android.app.*;
import android.os.*;
import android.view.*;
import android.widget.*;

public class ETSampleActivity extends Activity
{
	private Button mGOBtn;
	private TextView mTextTv;
	private EditText mTextEt;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        /**
         * Get the control instances from the main.xml layout
         */
        mGOBtn = (Button)findViewById(R.id.goBtn);
        mTextTv = (TextView)findViewById(R.id.textTV);
        mTextEt = (EditText)findViewById(R.id.textET);
        
        /**
         * Assign a click listener to our GO button
         */
        mGOBtn.setOnClickListener(new View.OnClickListener()
        {
			
			@Override
			public void onClick(View arg0) 
			{
				/**
				 * Change the text of the textview
				 */
				mTextTv.setText(mTextEt.getText());
			}
		});
    }
}
