/*********************************************************************
*
*	Sample challange: 
* 		Display an dialog containing the text of the clicked
*		ListView item.
*
**********************************************************************/

package com.infinitenotions.sample.listview;

import com.infinitenotions.sample.listview.objects.Country;

import android.app.*;
import android.os.*;
import android.widget.*;

public class ListViewSampleActivity extends Activity
{
	ListView mCountriesLV;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        /**
         * Get the control instances from the main.xml layout
         */
        mCountriesLV = (ListView) findViewById(R.id.countriesLV);
        mCountriesLV.setAdapter(new CountriesAdapter(this, R.layout.listview_country_row, mCountriesList));
    }
	
	private static final Country[] mCountriesList = new Country[]
	{
		new Country("ad", "Andorra"),
		new Country("al", "Albania"),
		new Country("am", "Armenia"),
		new Country("at", "Austria"),
		new Country("ba", "Bosnia and Herzegovina"),
		new Country("be", "Belgium"),
		new Country("bg", "Bulgaria"),
		new Country("by", "Belarus"),
		new Country("hr", "Chroatia"),
		new Country("cy", "Cyprus"),
		new Country("cz", "Czech Republic"),
		new Country("de", "Germany"),
		new Country("dk", "Denmark"),
		new Country("ee", "Estonia"),
		new Country("fi", "Finland"),
		new Country("fr", "France"),
		new Country("gr", "Greace"),
		new Country("gb", "Great Britain"),
		new Country("hu", "Hungary"),
		new Country("ie", "Ireland"),
		new Country("is", "Iceland"),
		new Country("it", "Italy"),
		new Country("md", "Moldava"),
		new Country("nl", "Netherlands"),
		new Country("no", "Norway"),
		new Country("pl", "Poland"),
		new Country("pt", "Portugal"),
		new Country("sk", "Slovakia"),
		new Country("si", "Slovenia"),
		new Country("es", "Spain"),
		new Country("se", "Sweden"),
		new Country("ch", "Switzerland")
	};
}
