package com.infinitenotions.sample.storagefunc;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.ArrayList;

import org.json.JSONArray;

public class ExternalStorage
{
	private static final String STORAGE_FILE_PATH = "/sdcard/inss.json";
	
	public void storeListAsJson(ArrayList<String> items)
	{
		JSONArray jArray = new JSONArray();
		
		for(String item : items)
		{
			jArray.put(item);
		}
		
		try
        {
	        FileOutputStream file = new FileOutputStream(STORAGE_FILE_PATH);
	        file.write(jArray.toString().getBytes());
	        file.close();
        }
		catch(Exception ex)
		{
			// TODO: handle error
		}

	}
	
	public ArrayList<String> loadListAsJson()
	{
		ArrayList<String> output = new ArrayList<String>();
		
		try
		{
			File f = new File(STORAGE_FILE_PATH);
			FileInputStream file = new FileInputStream(STORAGE_FILE_PATH);
		    byte[] b = new byte[(int)f.length()];
	        file.read(b);
	        file.close();
	        
	        JSONArray jArray = new JSONArray(new String(b));
	        
	        for(int i = 0; i < jArray.length(); i++)
	        {
	        	output.add(jArray.getString(i));
	        }
	        
		}
		catch(Exception ex)
		{
			// TODO: handle error
		}
		
		return output;
	}
}
