/*********************************************************************
*
*	Sample challange: 
* 		Canculate an average value of all the generated integers and
*		print it in the file.
*
* This sample writes 100 random generated integer   
* numbers into the /sdcard/randInts.txt file        
**********************************************************************/
package com.samples;

import java.io.PrintStream;
import java.io.IOException;
import java.io.File;

import java.util.Random;

public class WriteToFile
{	

	public static void main(String[] args)
	{
		try
		{
			PrintStream writer = new PrintStream( new File("/sdcard/randInts.txt"));
			Random r = new Random();
			final int LIMIT = 100;

			for(int i = 0; i < LIMIT; i++)
			{
				writer.println( r.nextInt() );
			}
			writer.close();
			
			System.out.println("Done!");
		}
		catch(IOException e)
		{	
			System.out.println("An error occured while trying to write to the file");
		}
	}
}
